# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'a_marmita/version'

Gem::Specification.new do |spec|
  spec.name          = "a_marmita"
  spec.version       = AMarmita::VERSION
  spec.authors       = ["João Gonçalves"]
  spec.email         = ["goncalves.joao@gmail.com"]
  spec.description   = %q{Ruby gem to handle most of the "A Marmita" server calls}
  spec.summary       = %q{This gem allows you to get the 'meals', login, logout and make 'orders' in your behalf, at the "A Marmita" website.}
  spec.homepage      = "https://github.com/goncalvesjoao/a_marmita"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_dependency "mechanize"
end
