$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), "..", "lib"))

require 'bundler'
Bundler.setup
require 'rspec'
require 'pry'
require 'mechanize'
require 'webmock/rspec'
require 'a_marmita'
require 'support/environment'

def env
  @env ||= Environment.new
end

# run "EMAIL=joao.goncalves@linkedcare.com PASS=asdyEJHVdsa rspec" if you want to test real internet connections
# run "CONSOLE=TRUE rspec" if you want to open up a console

if ENV['EMAIL'] && ENV['PASS']
  WebMock.allow_net_connect!
  require 'support/web_mock'
end

RSpec.configure do |config|
  #config.treat_symbols_as_metadata_keys_with_true_values = true
  #config.filter_run :current
  
  # see: https://github.com/bmabey/database_cleaner#rspec-example
  # config.before(:suite) do
  #   DatabaseCleaner.strategy = :transaction
  #   DatabaseCleaner.clean_with(:truncation)
  # end

  # config.before(:each) do
  #   DatabaseCleaner.start
  # end

  # config.after(:each) do
  #   DatabaseCleaner.clean
  # end

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
  
end
